import { TLocales } from '@/models/layout';
import { useTranslations } from 'next-intl';
import { getTranslations } from 'next-intl/server';

export default async function AboutDescription({
  locale,
  className = '',
}: {
  locale: TLocales;
  className?: string;
}) {
  const t = await getTranslations({ locale });

  return (
    <div className={`bg-primary w-full ${className}`}>
      <div className="container-fluid mx-auto py-20">
        <p className="text-xl text-white">{t('page_about_description')}</p>
      </div>
    </div>
  );
}
